%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	C library for the Flickr API
Name:		flickcurl
Version:	1.25
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/File transfer
URL:		http://librdf.org/flickcurl/
Source0:	http://download.dajobe.org/flickcurl/%{name}-%{version}.tar.xz
#-----------------------------------
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}raptor2-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	c-ares-devel
BuildRequires:	gnutls-devel
#---------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.

This package contains some utility programs using the %{name} library.


%package -n %{libname}
Summary:	C library for the Flickr API
Group:		System/Libraries

%description -n %{libname}
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.


%package -n %{develname}
Summary:	Development files for %{libname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the developement files for the %{name} library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%{__rm} -Rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -Rf %{buildroot}


%files
%doc LICENSE-2.0.txt LICENSE.html AUTHORS
%doc NEWS NEWS.html README README.html ChangeLog coverage.html
%{_bindir}/%{name}
%{_bindir}/flickrdf
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/flickrdf.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%doc NOTICE
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1.*
%{_datadir}/gtk-doc/html/flickcurl


%changelog
* Mon Jul 25 2016 adrianomorselli <adrianomorselli> 1.25-1uplos2014
- rebuild

* Thu Jan 09 2014 bb <bb> 1.25-1pclos2014
- update
- drop patch1 merged upstream

* Sat Nov 12 2011 Texstar <texstar at gmail.com> 1.21-1pclos2011
- 1.21

* Mon May 02 2011 Texstar <texstar at gmail.com> 1.20-2pclos2011
- rebuild

* Sat Mar 12 2011 Texstar <texstar at gmail.com> 1.20-1pclos2011
- 1.20

* Mon Oct 18 2010 Texstar <texstar at gmail.com> 1.19-1pclos2010
- 1.19

* Wed Sep 08 2010 Texstar <texstar at gmail.com> 1.18-2pclos2010
- rebuild

* Wed Jun 30 2010 pcserver <pcserver at hush.com> 1.18-1pclos2010
- 1.18
